Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.util
Class ComponentTracker

    java.lang.Object
      echopointng.util.ComponentTracker

All Implemented Interfaces:
  java.io.Serializable

    public class ComponentTracker

extends java.lang.Object
implements java.io.Serializable

`ComponentTracker` keeps track of components that have been added and removed from it and its associated component. This class allows you to add/remove child components while keeping them in a known bucket (the tracker).

See Also:
  Serialized Form

Constructor Summary
`ComponentTracker(Component trackeeComponent)` Constructs a `ComponentTracker` that will keep track of components on behalf of `trackeeComponent`

Method Summary
`void` | `add(Component child)`
`void` | `add(Component child, int index)`
`int` | `getComponentCount()`
`Component[]` | `getComponents()`
`void` | `remove(Component child)`
`void` | `remove(int index)`
`void` | `removeAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentTracker

    public ComponentTracker(Component trackeeComponent)

  Constructs a `ComponentTracker` that will keep track of components on behalf of `trackeeComponent`

  Parameters:
    `trackeeComponent` - - the component for which child components will be tracked.

Method Detail

### add

    public void add(Component child)

  See Also:
    `Component.add(Component)`

### add

    public void add(Component child,
                    int index)

  See Also:
    `Component.add(Component, int)`

### remove

    public void remove(Component child)

  See Also:
    `Component.remove(Component)`

### remove

    public void remove(int index)

  See Also:
    `Component.remove(int)`

### removeAll

    public void removeAll()

  See Also:
    `Component.removeAll()`

### getComponents

    public Component[] getComponents()

  See Also:
    `Component.getComponents()`

### getComponentCount

    public int getComponentCount()

  See Also:
    `Component.getComponentCount()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD